﻿@model Tuple<List<PurchaseOrderView>, List<BusinessPartnerView>>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")

<h1 class="page-header">@PurchaseOrders.POS</h1>
<!-- Row start -->
<div class="row">
    <div class="col-md-12 col-sm-6 col-xs-12">
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <i class="icon-calendar"></i>
                <h3 class="panel-title">Search</h3>
            </div>

            <div class="panel-body">
                <div class="form-group">
                    <div class="col-md-3">
                        @Html.TextBox("txtCodeVendor", null, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @PurchaseOrders.VC, @class = "form-control" })
                    </div>
                    <div class="col-md-3">
                        @Html.TextBox("txtNameVendor", null, new { @Id = "txtNameVendor", @placeholder = @PurchaseOrders.VN, @class = "form-control" })
                    </div>
                    <div class="col-md-1">
                        <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>Search Vendor</button>
                    </div>
                </div>
                <br />
                <br />
                <div class="form-group">
                    <div class="col-md-2">
                        @Html.TextBox("txtDate", null, new { @Id = "txtDate", @placeholder = "Date", @class = "form-control" })
                    </div>
                </div>
                <br />
                <br />
                <div class="form-group">
                    <div class="col-md-2">
                        @Html.TextBox("txtNro", null, new { @Id = "txtNro", @placeholder = "Document Nro", @class = "form-control" })
                    </div>
                </div>
                <br />
                <br />
                <div class="form-group">
                    <div class="col-md-10">
                        <button type="button" id="btSearch" class="btn btn-success btn-ls pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div id="BodyPO">
    @Html.Partial("_PurchaseOrderList", Model.Item1)
</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">Search Vendor</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeVendor" value="option1" checked=""> By Code
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameVendor" value="option1" checked=""> By Name
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchVendor" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span> Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadVendor" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyVendor">
                            @Html.Partial("_Vendors", Model.Item2)
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/PurchaseOrder-Index")




